%define upstream_name    Sys-Sendfile
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Zero-copy data transfer
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl-devel

%description
Sys::Sendfile provides access to your operating system's 'sendfile'
facility. It allows you to efficiently transfer data from one filehandle to
another. Typically the source is a file on disk and the sink is a socket,
and some operating systems may not even support other usage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml Changes LICENSE README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Thu Feb 23 2012 kharec <kharec> 0.110.0-1.mga2
+ Revision: 212653
- imported package perl-Sys-Sendfile


* Thu Feb 23 2012 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
